View Issue Details

IDProjectCategoryView StatusLast Update
0004185Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004185: abstract over RPC in the wallet
DescriptionThe WebEx wallet does a lot of RPC (popup and content script calls things from the wallet living in the background page; wallet should call crypto code living in a web worker).

In some places this is done rather ad-hoc (construct JSON, use chrome.runtime.sendMessage and chrome.runtime.onMessage on the other end).

We should abstract over this a bit, so we don't have to write as much boilerplate code.
TagsNo tags attached.

Activities

Florian Dold

2016-11-14 04:10

manager   ~0011491

In most places we use wrappers now, to translate from type-unsafe chrome callback APIs to our typesafe async/await APIs.

Still, we're using strings in many places for RPCs.

We can make our RPCs more typesafe with the "keyof T" type, which allows us to check that a string constant is a valid index into a namespace [1].

IMHO we should wait until this feature hits TypeScript stable, which is about by the end of this year.

https://github.com/Microsoft/TypeScript/pull/11929

Florian Dold

2017-05-31 17:08

manager   ~0012198

Fixed in 613a14c1

Issue History

Date Modified Username Field Change
2016-02-18 18:07 Florian Dold New Issue
2016-02-18 18:07 Florian Dold Status new => assigned
2016-02-18 18:07 Florian Dold Assigned To => Florian Dold
2016-02-19 21:41 Christian Grothoff Product Version => 0.0
2016-02-19 21:41 Christian Grothoff Target Version => 0.1
2016-02-19 21:41 Christian Grothoff Description Updated View Revisions
2016-02-20 02:11 Christian Grothoff Severity minor => tweak
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004292
2016-09-27 22:26 Christian Grothoff Target Version 0.1 => 0.2
2016-11-14 04:10 Florian Dold Note Added: 0011491
2016-11-14 04:10 Florian Dold Target Version 0.2 => 0.3
2017-04-09 00:28 Christian Grothoff Target Version 0.3 =>
2017-05-30 17:02 Florian Dold Product Version 0.0 => 0.3
2017-05-31 17:08 Florian Dold Note Added: 0012198
2017-05-31 17:08 Florian Dold Status assigned => resolved
2017-05-31 17:08 Florian Dold Resolution open => fixed
2017-06-02 09:35 Christian Grothoff Product Version 0.3 => SVN HEAD
2017-06-02 09:35 Christian Grothoff Fixed in Version => 0.3
2017-06-02 09:35 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed